informa
/
Vulnerabilities/Threats
Quick Hits

New CISA Advisories Warn of ICS Vulnerabilities

The vulnerabilities exist in Cscape control system application programming software and the Mitsubishi Electric GOT.

The Department of Homeland Security's Cybersecurity and Infrastructure Security Agency (CISA) today issued ICS advisories for vulnerabilities in the Horner Automation Cscape software and the Mitsubishi Electric GOT.

Cscape, a control system application programming software, has two flaws affecting all versions prior to 9.90 SP4. One of these (CVE-2021-22678) exists when the application doesn't properly validate user-supplied data when parsing project files and could lead to memory corruption. An attacker could exploit this vulnerability to execute code in the context of the current process.

The second vulnerability (CVE-2021-2268) is an improper access control flaw. The Cscape software is configured by default to be installed for all users, allowing full permissions including read/write access. This could let unprivileged users change binaries and configuration files, leading to local privilege escalation.

These flaws, which have CVSS v3 base scores of 7.8 and 8.4, respectively, were reported to CISA by Sharon Brizinov, principal vulnerability researcher at Claroty.

The third vulnerability in CISA's advisory is CVE-2021-20590, an improper authentication flaw in Mitsubishi's Graphic Operation Terminal (GOT). A password authentication bypass vulnerability exists in the VNC function of the GOT2000 series and the GOT Simple series due to improper authentication. The flaw, which can be exploited remotely, has a CVSS v3 score of 5.9.

Read more in the full advisories for Cscape and GOT.

Recommended Reading:
Editors' Choice
Kelly Jackson Higgins, Executive Editor
Robert Lemos, Contributing Writer